
QGIS Application - Bug report #1492

error when starting PostGIS manager

2009-01-19 02:19 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11552

Description

Bactktrace (lso note corrupted translation string in the first line):

WystÄ�piÅ� bÅ�Ä�d podczas wykonywania kodu Pythona:

Traceback (most recent call last):

  File "/home/shoofi/.qgis//python/plugins/postgis_manager/ManagerWindow.py", line 112, in dbConnect

    self.db = postgis_utils.GeoDB(host=host, port=port, dbname=database, user=username, passwd=password)

  File "/home/shoofi/.qgis//python/plugins/postgis_manager/postgis_utils.py", line 106, in +init+

    raise [[DbError]](e.message)

  File "/home/shoofi/.qgis//python/plugins/postgis_manager/postgis_utils.py", line 61, in +init+

    self.query = unicode(query, 'utf-8')

[[TypeError]]: coercing to Unicode: need string or buffer, [[NoneType]] found

Wersja Pythona:

2.5.2 (r252:60911, Jan  4 2009, 22:17:10) 

[GCC 4.3.2]

Lokalizacja Pythona:['/usr/local/qgis/share/qgis/python', '/home/shoofi/.qgis//python/plugins',

'/usr/local/qgis/share/qgis/python/plugins', '/usr/lib/python2.5/site-packages/GDAL-1.6.0-py2.5-linux-x86_64.egg',

'/usr/lib/python2.5', '/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload',

'/usr/local/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages', '/usr/lib/python2.5/site-packages/Numeric',

'/usr/lib/python2.5/site-packages/PIL', '/usr/lib/python2.5/site-packages/gst-0.10', '/var/lib/python-support/python2.5',

'/var/lib/python-support/python2.5/gtk-2.0', '/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode',

'/home/shoofi/.qgis/python/plugins/fTools/tools']

Trunk r91492.

History

#1 - 2009-01-19 05:25 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in version 0.4.6.

Btw. it's better to send bugreports from [[PostGIS]] manager directly to me than to file tickets in QGIS trac.
Martin

#2 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted

2025-12-15 2/2


